curl --request POST \
--url https://api.bullring.finance/v1/ramp/{subaccountId}/banking/withdrawals \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"recipient_id": "f556899a-eea7-4a18-b9e8-6346823a9b06",
"amount": "1",
"currency": "USD",
"wire_message": "Payment for services",
"client_reference": "123e4567-e89b-12d3-a456-426614174000",
"payment_rail": "WIRE"
}
'{
"id": "856b896f-3f16-4f70-952d-ce1f65b28aaa",
"amount": "1",
"currency": "USD",
"status": "pending",
"created_at": "2025-11-21T15:59:09.341Z",
"protocol": "wire",
"description": "Payment for services",
"client_reference": "123e4567-e89b-12d3-a456-426614174000",
"local_currency": "USD",
"local_amount": 1,
"destinationAddress": null,
"tx_hash": null,
"destination_tag": null,
"fee_amount": "15.01",
"fee_currency": "USD",
"rate": 1,
"gross_amount": 16.01
}Withdraw Fiat
Initiate a fiat withdrawal from a user subaccount. The request body varies depending on the currency. Existing non-named withdrawal behavior is unchanged. USD withdrawals can include payment_rail. Named withdrawals currently support USD only, require a business recipient identified by business_name with beneficiary_date_of_formation, beneficiary_country_of_formation, and beneficiary_national_identification_number, and support only WIRE and SWIFT. RTP, SAME_DAY_ACH, and ACH remain supported only for non-named USD flows where applicable. All withdrawal requests require approved KYC.
curl --request POST \
--url https://api.bullring.finance/v1/ramp/{subaccountId}/banking/withdrawals \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"recipient_id": "f556899a-eea7-4a18-b9e8-6346823a9b06",
"amount": "1",
"currency": "USD",
"wire_message": "Payment for services",
"client_reference": "123e4567-e89b-12d3-a456-426614174000",
"payment_rail": "WIRE"
}
'{
"id": "856b896f-3f16-4f70-952d-ce1f65b28aaa",
"amount": "1",
"currency": "USD",
"status": "pending",
"created_at": "2025-11-21T15:59:09.341Z",
"protocol": "wire",
"description": "Payment for services",
"client_reference": "123e4567-e89b-12d3-a456-426614174000",
"local_currency": "USD",
"local_amount": 1,
"destinationAddress": null,
"tx_hash": null,
"destination_tag": null,
"fee_amount": "15.01",
"fee_currency": "USD",
"rate": 1,
"gross_amount": 16.01
}Authorizations
Path Parameters
Body
- USD
- BRL
- NGN
- GHS
Requires approved KYC. payment_rail is USD-only and supports RTP, WIRE, SWIFT, SAME_DAY_ACH, and ACH. Set named_withdrawal to true only for USD named withdrawals. Named withdrawals require a business recipient identified by business_name and the recipient must include beneficiary_date_of_formation, beneficiary_country_of_formation, and beneficiary_national_identification_number. Named withdrawals support only WIRE and SWIFT. RTP, SAME_DAY_ACH, and ACH remain supported only for non-named USD flows where applicable.
USD Optional client-provided reference for reconciliation.
USD-only payment rail. For named withdrawals, only WIRE and SWIFT are supported. RTP, SAME_DAY_ACH, and ACH are for non-named USD flows where applicable.
RTP, WIRE, SWIFT, SAME_DAY_ACH, ACH Set to true for a USD named withdrawal. Named withdrawals require a business recipient with business_name and the three beneficiary fields, and support only WIRE and SWIFT.
Optional unique client-provided reference for reconciliation.
Response
Withdrawal initiated successfully